<?php

class BackUpAll extends plxPlugin {
		
	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);
		
		
    	# Pour accéder à une page de configuration
   		$this->setConfigProfil(PROFIL_ADMIN,PROFIL_MANAGER);
   		# Pour accéder à une page d'administration
	    $this->setAdminProfil(PROFIL_ADMIN,PROFIL_MANAGER);
	    # Personnalisation du menu admin
	    $this->setAdminMenu('BackUpAll', 0, 'Réaliser une sauvegarde de votre site');
		
		# Ajouts des hooks
		$this->addHook('AdminIndexTop', 'AdminIndexTop');
		$this->addHook('AdminTopEndHead', 'AdminTopEndHead');
	}


	public function AdminIndexTop() {

		require_once('class/class.zip.php');
		require_once('class/class.archive.php');
		
		$archive = new archive($this->getParam('savedir'),$this->getParam('days'),$this->getParam('saved_dirs'));
		
		if($archive->check()) {
			$archive->zip();
		}
		
	}

	public function AdminTopEndHead() { ?>
		<link rel="stylesheet" href="<?php echo PLX_PLUGINS ?>BackUpAll/app/style.min.css">
	<?php	
	}	

}
?>